Subject: Mpeg player uploaded to sunsite--twice speed of mpeg_play.
From: [email-masked] (gwo-ho liu)
Date: Sat, 7 May 1994 18:46:33 GMT
Newsgroups: comp.os.linux.announce

I uploaded program--vgamp 1.0 to sunsite in pub/Linux/Incoming.
Vgamp is a mpeg player.  It apparently works with streams with B and P
frames.  However, since VGA has only 320x200 resolution, only the upper
left 320x200 of stream is visible.

Vgamp only works with VGA.  It will not work with X.  If you have CGA or
EGA or monochrome, please do not bother trying it--it will not work.

Vgamp does not know anything about SVGA--if you use console in some wacky SVGA
mode, such as 132x40, vgamp will not know how to undo this wacky mode and
probably will not work.  Please use 80x25 console.

Since vgamp needs to change screen to graphics mode, it must be run with
euid=0.  It promply changes it to the real uid after setting up graphics mode.

At least on some streams it is twice the speed of mpeg_play for 486, three
times the speed for Pentium.  On most streams, probably not quite twice speed.

I wrote this as a demo for a friend.  I am posting it in the hopes that
since its speed is similar to speed of Xing player that people will stop
making those stupid Xing mpegs.

I have no idea what this LSM stuff is, but it seems fashionable to include
such thing in announcement, so I will.

gwoho liu.

Begin2
Title        = vgamp
Version      = 1.0
Desc1        = Vgamp is a mpeg displayer for standard VGA
Author       = gwoho liu
AuthorEmail  = [email-masked]
Maintainer   = gwoho liu
MaintEmail   = [email-masked]
Site1        = sunsite.unc.edu
Path1        = who knows?
File1        = who knows?
FileSize1    = 16k
Required1    = VGA is required.  Vgamp will not work with X.
Required2    = Vgamp probably will not work with wacky console resolution
Required3    = such as 132x40 or such.
CopyPolicy1  = Please copy tar file.  Do not copy after untarring.
CopyPolicy2  = Do not distribute modified versions or modifications.
Keywords     = mpeg
Comment1     = On the stream I've been testing it on, for 486, it is twice
Comment2     = speed of mpeg_play.  Thrice speed on Pentium.
Entered      = April 3, 1994
EnteredBy    = gwoho liu
CheckedEmail = [email-masked]
End

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.